AnsweredAssumed Answered

Yocto 2.0 SDK and 'meta-sdr'

Question asked by Chandra Mills on Aug 2, 2016

I configured the yocto build for the b4860qds-64b and did a 'bitbake fsl-image-full'  the fsl-image-full succeeded.  I then added the latest meta-sdr, and did a 'bitbake gnuradio'.  I got the following errors:

NOTE: Executing RunQueue Tasks

WARNING: Failed to fetch URL https://download.libsodium.org/libsodium/releases/libsodium-1.0.3.tar.gz, attempting MIRRORS if available

ERROR: QA Issue: volk: Files/directories were installed but not shipped in any package:

  /usr/lib

  /usr/lib/libvolk.so

  /usr/lib/libvolk.so.1.3

  /usr/lib/cmake

  /usr/lib/pkgconfig

  /usr/lib/.debug

  /usr/lib/cmake/volk

  /usr/lib/cmake/volk/VolkConfigVersion.cmake

  /usr/lib/cmake/volk/VolkConfig.cmake

  /usr/lib/pkgconfig/volk.pc

  /usr/lib/.debug/libvolk.so.1.3

Please set FILES such that these items are packaged. Alternatively if they are unneeded, avoid installing them or delete them within do_install.

volk: 11 installed and not shipped files. [installed-vs-shipped]

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/moc' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/lconvert' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/qdbusxml2cpp' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/rcc' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/qdbuscpp2xml' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/xmlpatterns' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/uic3' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/lrelease' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/uic' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/lupdate' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/lib/libQtGui.so.4.8.7' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/lib/libQtSql.so.4.8.7' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/lib/libQtDBus.so.4.8.7' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/lib/libQtCore.so.4.8.7' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/lib/libQtNetwork.so.4.8.7' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/lib/libQt3Support.so.4.8.7' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/lib/libQtTest.so.4.8.7' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/lib/libQtXml.so.4.8.7' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/lib/libQtXmlPatterns.so.4.8.7' from qt4-native was already stripped, this will prevent future debugging!

WARNING: File 'usr/lib64/qt4/plugins/designer/libqwt_designer_plugin.so' from qwt was already stripped, this will prevent future debugging!

ERROR: QA Issue: File '/usr/lib64/qt4/plugins/designer/libqwt_designer_plugin.so' from qwt was already stripped, this will prevent future debugging! [already-stripped]

ERROR: QA Issue: File '/usr/lib/libqwt.so.6.0.1' from qwt was already stripped, this will prevent future debugging! [already-stripped]

ERROR: QA Issue: File '/usr/lib/libqwtmathml.so.6.0.1' from qwt was already stripped, this will prevent future debugging! [already-stripped]

ERROR: QA Issue: gpsd: Files/directories were installed but not shipped in any package:

  /usr/lib

  /usr/lib/libQgpsmm.so.22.0

  /usr/lib/libgpsd.so.22.0.0

  /usr/lib/libQgpsmm.so

  /usr/lib/libgpsd.so

  /usr/lib/libgpsd.so.22.0

  /usr/lib/libgps.so.22

  /usr/lib/libgps.so.22.0.0

  /usr/lib/libQgpsmm.so.22.0.0

  /usr/lib/libQgpsmm.prl

  /usr/lib/libQgpsmm.so.22

  /usr/lib/libgps.so.22.0

  /usr/lib/libgps.so

  /usr/lib/libgpsd.so.22

  /usr/lib/pkgconfig

  /usr/lib/.debug

  /usr/lib/pkgconfig/Qgpsmm.pc

  /usr/lib/pkgconfig/libgps.pc

  /usr/lib/pkgconfig/libgpsd.pc

  /usr/lib/.debug/libgpsd.so.22.0.0

  /usr/lib/.debug/libgps.so.22.0.0

  /usr/lib/.debug/libQgpsmm.so.22.0.0

Please set FILES such that these items are packaged. Alternatively if they are unneeded, avoid installing them or delete them within do_install.

gpsd: 22 installed and not shipped files. [installed-vs-shipped]

ERROR: QA Issue: qwt: Files/directories were installed but not shipped in any package:

  /usr/lib

  /usr/lib/libqwt.so.6.0.1

  /usr/lib/libqwt.so

  /usr/lib/libqwtmathml.so.6

  /usr/lib/libqwtmathml.so.6.0

  /usr/lib/libqwt.so.6

  /usr/lib/libqwtmathml.so.6.0.1

  /usr/lib/libqwtmathml.so

  /usr/lib/libqwt.so.6.0

Please set FILES such that these items are packaged. Alternatively if they are unneeded, avoid installing them or delete them within do_install.

qwt: 9 installed and not shipped files. [installed-vs-shipped]

ERROR: Function failed: do_configure (log file is located at /opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/work/ppc64e6500-fsl-linux/gnuradio/3.7.10-r0/temp/log.do_configure.85005)

ERROR: Logfile of failure stored in: /opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/work/ppc64e6500-fsl-linux/gnuradio/3.7.10-r0/temp/log.do_configure.85005

Log data follows:

| DEBUG: Executing python function sysroot_cleansstate

| DEBUG: Python function sysroot_cleansstate finished

| DEBUG: SITE files ['endian-big', 'bit-64', 'powerpc-common', 'common-linux', 'common-glibc', 'powerpc-linux', 'powerpc64-linux', 'common']

| DEBUG: Executing shell function autotools_preconfigure

| DEBUG: Shell function autotools_preconfigure finished

| DEBUG: Executing python function autotools_copy_aclocals

| DEBUG: Python function autotools_copy_aclocals finished

| DEBUG: SITE files ['endian-big', 'bit-64', 'powerpc-common', 'common-linux', 'common-glibc', 'powerpc-linux', 'powerpc64-linux', 'common']

| DEBUG: Executing shell function do_configure

| -- The CXX compiler identification is GNU 4.9.2

| -- The C compiler identification is GNU 4.9.2

| -- Check for working CXX compiler: /opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/powerpc64-fsl-linux/powerpc64-fsl-linux-g++

| -- Check for working CXX compiler: /opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/powerpc64-fsl-linux/powerpc64-fsl-linux-g++ -- works

| -- Detecting CXX compiler ABI info

| -- Detecting CXX compiler ABI info - done

| -- Detecting CXX compile features

| -- Detecting CXX compile features - done

| -- Check for working C compiler: /opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/powerpc64-fsl-linux/powerpc64-fsl-linux-gcc

| -- Check for working C compiler: /opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/powerpc64-fsl-linux/powerpc64-fsl-linux-gcc -- works

| -- Detecting C compiler ABI info

| -- Detecting C compiler ABI info - done

| -- Detecting C compile features

| -- Detecting C compile features - done

| -- Build type not specified: defaulting to release.

| -- Build type set to Release.

| -- Could NOT find Git (missing:  GIT_EXECUTABLE)

| -- Performing Test HAVE_VISIBILITY_HIDDEN

| -- Performing Test HAVE_VISIBILITY_HIDDEN - Success

| -- Performing Test HAVE_WARN_SIGN_COMPARE

| -- Performing Test HAVE_WARN_SIGN_COMPARE - Success

| -- Performing Test HAVE_WARN_ALL

| -- Performing Test HAVE_WARN_ALL - Success

| -- Performing Test HAVE_WARN_NO_UNINITIALIZED

| -- Performing Test HAVE_WARN_NO_UNINITIALIZED - Success

| -- Compiler Version: powerpc64-fsl-linux-gcc (GCC) 4.9.2

| Copyright (C) 2014 Free Software Foundation, Inc.

| This is free software; see the source for copying conditions.  There is NO

| warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

| -- Compiler Flags: /opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/powerpc64-fsl-linux/powerpc64-fsl-linux-gcc:::-O2 -pipe -g -feliminate-unused-debug-types  -O2 -pipe -g -feliminate-unused-debug-types -DNDEBUG  -mhard-float -m64 -mcpu=e6500  --sysroot=/opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/b4860qds-64b  -O2 -pipe -g -feliminate-unused-debug-types -std=gnu11 -fvisibility=hidden -Wsign-compare -Wall -Wno-uninitialized

| /opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/powerpc64-fsl-linux/powerpc64-fsl-linux-g++:::-O2 -pipe -g -feliminate-unused-debug-types  -O2 -pipe -g -feliminate-unused-debug-types -fvisibility-inlines-hidden -DNDEBUG  -mhard-float -m64 -mcpu=e6500  --sysroot=/opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/b4860qds-64b  -O2 -pipe -g -feliminate-unused-debug-types -fvisibility-inlines-hidden -std=c++98 -fvisibility=hidden -Wsign-compare -Wall -Wno-uninitialized

| -- ADDING PERF COUNTERS

| -- Building Static Libraries: OFF

| -- Boost version: 1.58.0

| -- Found the following Boost libraries:

| --   date_time

| --   program_options

| --   filesystem

| --   system

| --   regex

| --   thread

| -- Found PythonLibs: /opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/b4860qds-64b/usr/lib64/libpython2.7.so (found suitable version "2.7.9", minimum required is "2")

| --

| -- Checking for module SWIG

| -- Found SWIG version 3.0.6.

| -- Found SWIG: /opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/swig

| --

| -- The build system will automatically enable all components.

| -- Use -DENABLE_DEFAULT=OFF to disable components by default.

| --

| -- Configuring python-support support...

| --   Dependency PYTHONLIBS_FOUND = TRUE

| --   Dependency SWIG_FOUND = TRUE

| --   Dependency SWIG_VERSION_CHECK = TRUE

| --   Enabling python-support support.

| --   Override with -DENABLE_PYTHON=ON/OFF

| -- Found PkgConfig: /opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/x86_64-linux/usr/bin/pkg-config (found version "0.28")

| -- checking for module 'cppunit'

| --   found cppunit, version 1.13.1

| -- Found CPPUNIT: /opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/sysroots/b4860qds-64b/usr/lib64/libcppunit.so;dl

| --

| -- Configuring testing-support support...

| --   Dependency CPPUNIT_FOUND = TRUE

| --   Enabling testing-support support.

| --   Override with -DENABLE_TESTING=ON/OFF

| --

| -- Configuring VOLK support...

| CMake Warning at CMakeLists.txt:334 (find_package):

|   By not providing "FindVolk.cmake" in CMAKE_MODULE_PATH this project has

|   asked CMake to find a package configuration file provided by "Volk", but

|   CMake did not find one.

|

|   Could not find a package configuration file provided by "Volk" with any of

|   the following names:

|

|     VolkConfig.cmake

|     volk-config.cmake

|

|   Add the installation prefix of "Volk" to CMAKE_PREFIX_PATH or set

|   "Volk_DIR" to a directory containing one of the above files.  If "Volk"

|   provides a separate development package or SDK, be sure it has been

|   installed.

|

|

| --   External VOLK not found; checking internal.

| --   VOLK submodule is not checked out.

| --   To check out the VOLK submodule, use:

| --     git pull --recurse-submodules=on

| --     git submodule update

| --   Override with -DENABLE_INTERNAL_VOLK=ON/OFF

| --

| CMake Error at CMakeLists.txt:357 (message):

|   VOLK required but not found.

|

|

| -- Configuring incomplete, errors occurred!

| See also "/opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/work/ppc64e6500-fsl-linux/gnuradio/3.7.10-r0/build/CMakeFiles/CMakeOutput.log".

| WARNING: exit code 1 from a shell command.

| ERROR: Function failed: do_configure (log file is located at /opt/QorIQ-SDK-V2.0-20160527-yocto/build_b4860qds-64b/tmp/work/ppc64e6500-fsl-linux/gnuradio/3.7.10-r0/temp/log.do_configure.85005)

ERROR: Task 6 (/opt/QorIQ-SDK-V2.0-20160527-yocto/sources/meta-sdr/recipes-core/gnuradio/gnuradio_git.bb, do_configure) failed with exit code '1'

ERROR: QA Issue: uhd: Files/directories were installed but not shipped in any package:

  /usr/lib

  /usr/lib/libuhd.so.003

  /usr/lib/libuhd.so.003.009

  /usr/lib/libuhd.so

  /usr/lib/cmake

  /usr/lib/pkgconfig

  /usr/lib/uhd

  /usr/lib/.debug

  /usr/lib/cmake/uhd

  /usr/lib/cmake/uhd/UHDConfigVersion.cmake

  /usr/lib/cmake/uhd/UHDConfig.cmake

  /usr/lib/pkgconfig/uhd.pc

  /usr/lib/uhd/examples

  /usr/lib/uhd/utils

  /usr/lib/uhd/tests

  /usr/lib/uhd/examples/rx_timed_samples

  /usr/lib/uhd/examples/test_timed_commands

  /usr/lib/uhd/examples/tx_samples_from_file

  /usr/lib/uhd/examples/tx_samples_c

  /usr/lib/uhd/examples/test_pps_input

  /usr/lib/uhd/examples/test_dboard_coercion

  /usr/lib/uhd/examples/network_relay

  /usr/lib/uhd/examples/test_clock_synch

  /usr/lib/uhd/examples/rx_multi_samples

  /usr/lib/uhd/examples/tx_timed_samples

  /usr/lib/uhd/examples/tx_waveforms

  /usr/lib/uhd/examples/rx_samples_to_udp

  /usr/lib/uhd/examples/txrx_loopback_to_file

  /usr/lib/uhd/examples/rx_samples_to_file

  /usr/lib/uhd/examples/rx_samples_c

  /usr/lib/uhd/examples/rx_ascii_art_dft

  /usr/lib/uhd/examples/gpio

  /usr/lib/uhd/examples/tx_bursts

  /usr/lib/uhd/examples/latency_test

  /usr/lib/uhd/examples/benchmark_rate

  /usr/lib/uhd/examples/test_messages

  /usr/lib/uhd/examples/.debug

  /usr/lib/uhd/examples/.debug/rx_timed_samples

  /usr/lib/uhd/examples/.debug/test_timed_commands

  /usr/lib/uhd/examples/.debug/tx_samples_from_file

  /usr/lib/uhd/examples/.debug/tx_samples_c

  /usr/lib/uhd/examples/.debug/test_pps_input

  /usr/lib/uhd/examples/.debug/test_dboard_coercion

  /usr/lib/uhd/examples/.debug/network_relay

  /usr/lib/uhd/examples/.debug/test_clock_synch

  /usr/lib/uhd/examples/.debug/rx_multi_samples

  /usr/lib/uhd/examples/.debug/tx_timed_samples

  /usr/lib/uhd/examples/.debug/tx_waveforms

  /usr/lib/uhd/examples/.debug/rx_samples_to_udp

  /usr/lib/uhd/examples/.debug/txrx_loopback_to_file

  /usr/lib/uhd/examples/.debug/rx_samples_to_file

  /usr/lib/uhd/examples/.debug/rx_samples_c

  /usr/lib/uhd/examples/.debug/rx_ascii_art_dft

  /usr/lib/uhd/examples/.debug/gpio

  /usr/lib/uhd/examples/.debug/tx_bursts

  /usr/lib/uhd/examples/.debug/latency_test

  /usr/lib/uhd/examples/.debug/benchmark_rate

  /usr/lib/uhd/examples/.debug/test_messages

  /usr/lib/uhd/utils/usrp_burn_db_eeprom

  /usr/lib/uhd/utils/usrp_burn_mb_eeprom

  /usr/lib/uhd/utils/usrp_n2xx_net_burner_gui.py

  /usr/lib/uhd/utils/usrp2_card_burner_gui.py

  /usr/lib/uhd/utils/usrp_x3xx_fpga_burner

  /usr/lib/uhd/utils/uhd-usrp.rules

  /usr/lib/uhd/utils/usrp2_recovery.py

  /usr/lib/uhd/utils/usrp_n2xx_simple_net_burner

  /usr/lib/uhd/utils/query_gpsdo_sensors

  /usr/lib/uhd/utils/fx2_init_eeprom

  /usr/lib/uhd/utils/uhd_images_downloader.py

  /usr/lib/uhd/utils/octoclock_burn_eeprom

  /usr/lib/uhd/utils/b2xx_fx3_utils

  /usr/lib/uhd/utils/usrp2_card_burner.py

  /usr/lib/uhd/utils/usrp_n2xx_net_burner.py

  /usr/lib/uhd/utils/latency

  /usr/lib/uhd/utils/.debug

  /usr/lib/uhd/utils/latency/graph.py

  /usr/lib/uhd/utils/latency/run_tests.py

  /usr/lib/uhd/utils/latency/responder

  /usr/lib/uhd/utils/latency/.debug

  /usr/lib/uhd/utils/latency/.debug/responder

  /usr/lib/uhd/utils/.debug/usrp_burn_db_eeprom

  /usr/lib/uhd/utils/.debug/usrp_burn_mb_eeprom

  /usr/lib/uhd/utils/.debug/usrp_x3xx_fpga_burner

  /usr/lib/uhd/utils/.debug/usrp_n2xx_simple_net_burner

  /usr/lib/uhd/utils/.debug/query_gpsdo_sensors

  /usr/lib/uhd/utils/.debug/fx2_init_eeprom

  /usr/lib/uhd/utils/.debug/octoclock_burn_eeprom

  /usr/lib/uhd/utils/.debug/b2xx_fx3_utils

  /usr/lib/uhd/tests/ranges_test

  /usr/lib/uhd/tests/msg_test

  /usr/lib/uhd/tests/sid_t_test

  /usr/lib/uhd/tests/fp_compare_epsilon_test

  /usr/lib/uhd/tests/gain_group_test

  /usr/lib/uhd/tests/property_test

  /usr/lib/uhd/tests/byteswap_test

  /usr/lib/uhd/tests/string_vector_c_test

  /usr/lib/uhd/tests/addr_test

  /usr/lib/uhd/tests/subdev_spec_c_test

  /usr/lib/uhd/tests/time_spec_test

  /usr/lib/uhd/tests/error_c_test

  /usr/lib/uhd/tests/vrt_test

  /usr/lib/uhd/tests/sensors_c_test

  /usr/lib/uhd/tests/fp_compare_delta_test

  /usr/lib/uhd/tests/buffer_test

  /usr/lib/uhd/tests/sph_recv_test

  /usr/lib/uhd/tests/chdr_test

  /usr/lib/uhd/tests/error_test

  /usr/lib/uhd/tests/subdev_spec_test

  /usr/lib/uhd/tests/dict_test

  /usr/lib/uhd/tests/math_test

  /usr/lib/uhd/tests/eeprom_c_test

  /usr/lib/uhd/tests/ranges_c_test

  /usr/lib/uhd/tests/cast_test

  /usr/lib/uhd/tests/sph_send_test

  /usr/lib/uhd/tests/convert_test

  /usr/lib/uhd/tests/.debug

  /usr/lib/uhd/tests/.debug/ranges_test

  /usr/lib/uhd/tests/.debug/msg_test

  /usr/lib/uhd/tests/.debug/sid_t_test

  /usr/lib/uhd/tests/.debug/fp_compare_epsilon_test

  /usr/lib/uhd/tests/.debug/gain_group_test

  /usr/lib/uhd/tests/.debug/property_test

  /usr/lib/uhd/tests/.debug/byteswap_test

  /usr/lib/uhd/tests/.debug/string_vector_c_test

  /usr/lib/uhd/tests/.debug/addr_test

  /usr/lib/uhd/tests/.debug/subdev_spec_c_test

  /usr/lib/uhd/tests/.debug/time_spec_test

  /usr/lib/uhd/tests/.debug/error_c_test

  /usr/lib/uhd/tests/.debug/vrt_test

  /usr/lib/uhd/tests/.debug/sensors_c_test

  /usr/lib/uhd/tests/.debug/fp_compare_delta_test

  /usr/lib/uhd/tests/.debug/buffer_test

  /usr/lib/uhd/tests/.debug/sph_recv_test

  /usr/lib/uhd/tests/.debug/chdr_test

  /usr/lib/uhd/tests/.debug/error_test

  /usr/lib/uhd/tests/.debug/subdev_spec_test

  /usr/lib/uhd/tests/.debug/dict_test

  /usr/lib/uhd/tests/.debug/math_test

  /usr/lib/uhd/tests/.debug/eeprom_c_test

  /usr/lib/uhd/tests/.debug/ranges_c_test

  /usr/lib/uhd/tests/.debug/cast_test

  /usr/lib/uhd/tests/.debug/sph_send_test

  /usr/lib/uhd/tests/.debug/convert_test

  /usr/lib/.debug/libuhd.so.003.009

Please set FILES such that these items are packaged. Alternatively if they are unneeded, avoid installing them or delete them within do_install.

uhd: 144 installed and not shipped files. [installed-vs-shipped]

NOTE: Tasks Summary: Attempted 1990 tasks of which 1651 didn't need to be rerun and 1 failed.

Waiting for 0 running tasks to finish:

 

Summary: 1 task failed:

  /opt/QorIQ-SDK-V2.0-20160527-yocto/sources/meta-sdr/recipes-core/gnuradio/gnuradio_git.bb, do_configure

Summary: There were 21 WARNING messages shown.

Summary: There were 8 ERROR messages shown, returning a non-zero exit code.

 

Can anyone help with this?

Thanks

C-

Outcomes